package com.zcloud.fire.check.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.fire.check.persistence.dataobject.FireCheckListStatisticDO;
import com.zcloud.fire.check.persistence.dataobject.FireCheckListUserDO;

import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.Map;

/**
 * web-infrastructure
 *
 * @Author zhaokai
 * @Date 2025-12-11 15:32:50
 */
public interface FireCheckListUserRepository extends BaseRepository<FireCheckListUserDO> {
    PageResponse<FireCheckListUserDO> listPage(Map<String, Object> params);

    void deleteByFireCheckListId(String fireCheckListId);

    List<FireCheckListUserDO> getListUserNameByFireCheckIdList(List<String> fireCheckIdList);

    List<FireCheckListStatisticDO> getListUserStatisticByFireCheckIdList(List<String> fireCheckIdList);


    List<FireCheckListUserDO> getListUserByFireCheckIdList(List<String> fireCheckIdList);

    List<FireCheckListUserDO> getListByFireCheckId(String fireCheckId);

    List<FireCheckListUserDO> getListUserIdByFireCheckIdList(List<String> fireCheckIdList);
}

